<template>
    <div class="index">
        <index-navbar :navbarList="navbarList" model="index">

        </index-navbar>


    </div>
</template>

<script>

  import carousel from '@/components/carousel/carousel'
  import PageFooter from '@/components/footer/pageFooter'
  import IndexNavbar from '@/components/navbar/navbar'
  import { asyncRouterMap } from '@/config/router.config'

  export default {
    name: 'index',
    data() {
      return {
        navbarList: [],

      }
    },
    components: {
      carousel,
      PageFooter,
      IndexNavbar
    },
    mounted() {
      this.init()
    },
    methods: {
      init() {

        this.navbarList.push(...asyncRouterMap)
          console.log(  this.navbarList)
      },
      bgUrl() {

      },
      handelMouseEnter() {

      },
    }

  }
</script>

<style lang="less" scoped>

</style>
